/**
 * @brief Configure les ports de contrôle des moteurs sont des sorties (output).
 *
 */
void setupGommettes()
{
    // Lecteur infrarouges
    pinMode(clock,INPUT);
    pinMode(bit1,INPUT);
    pinMode(bit2,INPUT);
    pinMode(bit3,INPUT);
    pinMode(bit4,INPUT);

    // Moteur du lecteur
    pinMode(IN1r, OUTPUT);
    pinMode(IN2r, OUTPUT);
    pinMode(IN3r, OUTPUT);
    pinMode(IN4r, OUTPUT);

    pinMode(button, INPUT_PULLUP);  // Bouton de déclenchement du lecteur de gommettes

    pinMode(IN1a, OUTPUT);
    pinMode(IN2a, OUTPUT);
    pinMode(IN3a, OUTPUT);
    pinMode(IN4a, OUTPUT);

    pinMode(IN1b, OUTPUT);
    pinMode(IN2b, OUTPUT);
    pinMode(IN3b, OUTPUT);
    pinMode(IN4b, OUTPUT);

    

    pinMode(IN1p, OUTPUT);
    pinMode(IN3p, OUTPUT);

    
}

void setupWifi(){
  pinMode(IN1a, OUTPUT);
  pinMode(IN2a, OUTPUT);
  pinMode(IN3a, OUTPUT);
  pinMode(IN4a, OUTPUT);

  pinMode(IN1b, OUTPUT);
  pinMode(IN2b, OUTPUT);
  pinMode(IN3b, OUTPUT);
  pinMode(IN4b, OUTPUT);

  pinMode(IN1p, OUTPUT);
  pinMode(IN3p, OUTPUT);

}

/**
 * @brief Démarre le point d'accès WiFi.
 *
 * @param WiFi WiFi à configurer.
 */
void connectWiFi(WiFiClass &WiFi)
{

    WiFi.mode(WIFI_AP);
    WiFi.softAP(WIFI_SSID, WIFI_PASSWORD);
    Serial.print("AP Created with IP ");
    Serial.println(WiFi.softAPIP());
    Serial.println("");
}